Package com.collibra.dgc.importer.api.request

# Class SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder

Object
SynchronizationFinalizationRequestBuilder

Enclosing class:
  `SynchronizationFinalizationRequest`

public static final class SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder.CustomFinalizationParameter`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder`
  `addFinalizationParameter(SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder.CustomFinalizationParameter key, String value)`
  Deprecated.
  This parameter is deprecated and will be removed in the future.
  `SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder`
  `batchSize(int batchSize)`
  Sets the size of the batch.
  `SynchronizationFinalizationRequest`
  `build()`
  `SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder`
  `continueOnError(boolean continueOnError)`
  `SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder`
  `finalizationStrategy(String finalizationStrategy)`
  Sets the finalization strategy.
  `SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder`
  `missingAssetStatusId(UUID missingAssetStatusId)`
  `SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder`
  `requestSource(String requestSource)`
  `SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder`
  `saveResult(boolean saveResult)`
  `SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder`
  `sendNotification(boolean sendNotification)`
  Sets whether job status notification should be sent.
  `SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder`
  `simulation(boolean simulation)`
  Sets whether the finalization should be triggered as a simulation.
  `SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder`
  `synchronizationId(String synchronizationId)`
  (required) Sets the synchronization `id` used to distinguish different synchronizations.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### synchronizationId

    public SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder synchronizationId(String synchronizationId)
    (required) Sets the synchronization `id` used to distinguish different synchronizations.
    Parameters:
      `synchronizationId` - the synchronization `id` used to distinguish different synchronizations

  - ### sendNotification

    public SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder sendNotification(boolean sendNotification)
    Sets whether job status notification should be sent. The default value is `false`.
    Parameters:
      `sendNotification` - whether job status notification should be sent

  - ### batchSize

    public SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder batchSize(int batchSize)
    Sets the size of the batch. The default value is `1000`.
    Parameters:
      `batchSize` - the size of the batch

  - ### simulation

    public SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder simulation(boolean simulation)
    Sets whether the finalization should be triggered as a simulation. The default value is `false`.

    If `true`, the result of the finalization simulation will be available at the end of the job but no change will be applied to the DGC.

    Parameters:
      `simulation` - whether the finalization should be triggered as a simulation

  - ### requestSource

    public SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder requestSource(String requestSource)

  - ### saveResult

    public SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder saveResult(boolean saveResult)
    Parameters:
      `saveResult` - determine if we should save import result in jobs table in message column.

  - ### finalizationStrategy

    public SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder finalizationStrategy(String finalizationStrategy)
    Sets the finalization strategy.
    Parameters:
      `finalizationStrategy` - the finalization strategy used to define clean up action

  - ### missingAssetStatusId

    public SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder missingAssetStatusId(UUID missingAssetStatusId)

  - ### addFinalizationParameter

    public SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder addFinalizationParameter(SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder.CustomFinalizationParameter key, String value)
    Deprecated.
    This parameter is deprecated and will be removed in the future. Please, use missingAssetStatusId.
    Add a custom finalization parameter.
    Parameters:
      `key` - parameter type
      `value` - parameter value

  - ### continueOnError

    public SynchronizationFinalizationRequest.SynchronizationFinalizationRequestBuilder continueOnError(boolean continueOnError)

  - ### build

    public SynchronizationFinalizationRequest build()